Index: source/ariba/Makefile.am
===================================================================
--- source/ariba/Makefile.am	(revision 5151)
+++ source/ariba/Makefile.am	(revision 5284)
@@ -113,58 +113,59 @@
 # ------------> communication :: modules
 
-nobase_libariba_la_HEADERS += \
-  communication/modules/modules.h \
-  communication/modules/_namespace.h
+#nobase_libariba_la_HEADERS += \
+#  communication/modules/modules.h \
+#  communication/modules/_namespace.h
 
 # ------------> communication :: modules :: network
-libariba_la_SOURCES += \
-  communication/modules/network/NetworkLocator.cpp \
-  communication/modules/network/NetworkProtocol.cpp
-
-nobase_libariba_la_HEADERS += \
-  communication/modules/network/NetworkLocator.h \
-  communication/modules/network/NetworkProtocol.h
+
+#libariba_la_SOURCES += \
+#  communication/modules/network/NetworkLocator.cpp \
+#  communication/modules/network/NetworkProtocol.cpp
+
+#nobase_libariba_la_HEADERS += \
+#  communication/modules/network/NetworkLocator.h \
+#  communication/modules/network/NetworkProtocol.h
 
 # ------------> communication :: modules :: network :: ip
 
-libariba_la_SOURCES += \
-  communication/modules/network/ip/IPv4Locator.cpp \
-  communication/modules/network/ip/IPv4NetworkProtocol.cpp
-
-nobase_libariba_la_HEADERS += \
-  communication/modules/network/ip/IPv4Locator.h  \
-  communication/modules/network/ip/IPv4NetworkProtocol.h
+#libariba_la_SOURCES += \
+#  communication/modules/network/ip/IPv4Locator.cpp \
+#  communication/modules/network/ip/IPv4NetworkProtocol.cpp
+
+#nobase_libariba_la_HEADERS += \
+#  communication/modules/network/ip/IPv4Locator.h  \
+#  communication/modules/network/ip/IPv4NetworkProtocol.h
 
 # ------------> communication :: modules :: network :: omnet
 
-if OMNET
-libariba_la_SOURCES += \
-  communication/modules/network/omnet/OmnetNetworkProtocol.cpp
-
-nobase_libariba_la_HEADERS += \
-  communication/modules/network/omnet/OmnetNetworkProtocol.h
-endif
+#if OMNET
+#libariba_la_SOURCES += \
+#  communication/modules/network/omnet/OmnetNetworkProtocol.cpp
+
+#nobase_libariba_la_HEADERS += \
+#  communication/modules/network/omnet/OmnetNetworkProtocol.h
+#endif
 
 #------------> communication :: modules :: transport
 
-libariba_la_SOURCES += \
-  communication/modules/transport/TransportLocator.cpp \
-  communication/modules/transport/TransportProtocol.cpp
-
-nobase_libariba_la_HEADERS += \
-  communication/modules/transport/TransportLocator.h \
-  communication/modules/transport/TransportProtocol.h
+#libariba_la_SOURCES += \
+#  communication/modules/transport/TransportLocator.cpp \
+#  communication/modules/transport/TransportProtocol.cpp
+
+#nobase_libariba_la_HEADERS += \
+#  communication/modules/transport/TransportLocator.h \
+#  communication/modules/transport/TransportProtocol.h
 
 #------------> communication :: modules :: transport :: omnet
 
-if OMNET
-libariba_la_SOURCES += \
-  communication/modules/transport/omnet/AribaOmnetMessage_m.cc \
-  communication/modules/transport/omnet/AribaOmnetModule.cpp
-
-nobase_libariba_la_HEADERS += \
-  communication/modules/transport/omnet/AribaOmnetMessage_m.h \
-  communication/modules/transport/omnet/AribaOmnetModule.h
-endif
+#if OMNET
+#libariba_la_SOURCES += \
+#  communication/modules/transport/omnet/AribaOmnetMessage_m.cc \
+#  communication/modules/transport/omnet/AribaOmnetModule.cpp
+
+#nobase_libariba_la_HEADERS += \
+#  communication/modules/transport/omnet/AribaOmnetMessage_m.h \
+#  communication/modules/transport/omnet/AribaOmnetModule.h
+#endif
 
 #------------> communication :: modules :: transport :: protlib
@@ -172,71 +173,71 @@
 if OMNET
 else
-libariba_la_SOURCES += \
-  communication/modules/transport/protlib/timer_module.cpp \
-  communication/modules/transport/protlib/threadsafe_db.cpp \
-  communication/modules/transport/protlib/address.cpp \
-  communication/modules/transport/protlib/ie.cpp \
-  communication/modules/transport/protlib/tp_over_tcp.cpp \
-  communication/modules/transport/protlib/setuid.cpp \
-  communication/modules/transport/protlib/tp.cpp \
-  communication/modules/transport/protlib/connectionmap_uds.cpp \
-  communication/modules/transport/protlib/logfile.cpp \
-  communication/modules/transport/protlib/timer.cpp \
-  communication/modules/transport/protlib/connectionmap.cpp \
-  communication/modules/transport/protlib/fqueue.cpp \
-  communication/modules/transport/protlib/threads.cpp \
-  communication/modules/transport/protlib/messages.cpp \
-  communication/modules/transport/protlib/queuemanager.cpp \
-  communication/modules/transport/protlib/network_message.cpp \
-  communication/modules/transport/protlib/configuration.cpp \
-  communication/modules/transport/protlib/tp_over_uds.cpp \
-  communication/modules/transport/protlib/tp_over_udp.cpp \
-  communication/modules/transport/protlib/tp_over_tls_tcp.cpp \
-  communication/modules/transport/protlib/fastqueue.c \
-  communication/modules/transport/protlib/eclock_gettime.c \
-  communication/modules/transport/protlib/testqueue.c
-
-nobase_libariba_la_HEADERS += \
-  communication/modules/transport/protlib/tp_over_uds.h \
-  communication/modules/transport/protlib/threadsafe_db.h \
-  communication/modules/transport/protlib/configuration.h \
-  communication/modules/transport/protlib/ie.h \
-  communication/modules/transport/protlib/llhashers.h \
-  communication/modules/transport/protlib/fqueue.h \
-  communication/modules/transport/protlib/assocdata_uds.h \
-  communication/modules/transport/protlib/address.h \
-  communication/modules/transport/protlib/logfile.h \
-  communication/modules/transport/protlib/timer.h \
-  communication/modules/transport/protlib/queuemanager.h \
-  communication/modules/transport/protlib/messages.h \
-  communication/modules/transport/protlib/assocdata.h \
-  communication/modules/transport/protlib/protlib_types.h \
-  communication/modules/transport/protlib/tp_over_tcp.h \
-  communication/modules/transport/protlib/tp.h \
-  communication/modules/transport/protlib/threads.h \
-  communication/modules/transport/protlib/connectionmap.h \
-  communication/modules/transport/protlib/timer_module.h \
-  communication/modules/transport/protlib/fastqueue.h \
-  communication/modules/transport/protlib/tperror.h \
-  communication/modules/transport/protlib/tp_over_tls_tcp.h \
-  communication/modules/transport/protlib/network_message.h \
-  communication/modules/transport/protlib/tp_over_udp.h \
-  communication/modules/transport/protlib/setuid.h \
-  communication/modules/transport/protlib/cleanuphandler.h \
-  communication/modules/transport/protlib/connectionmap_uds.h
+#libariba_la_SOURCES += \
+#  communication/modules/transport/protlib/timer_module.cpp \
+#  communication/modules/transport/protlib/threadsafe_db.cpp \
+#  communication/modules/transport/protlib/address.cpp \
+#  communication/modules/transport/protlib/ie.cpp \
+#  communication/modules/transport/protlib/tp_over_tcp.cpp \
+#  communication/modules/transport/protlib/setuid.cpp \
+#  communication/modules/transport/protlib/tp.cpp \
+#  communication/modules/transport/protlib/connectionmap_uds.cpp \
+#  communication/modules/transport/protlib/logfile.cpp \
+#  communication/modules/transport/protlib/timer.cpp \
+#  communication/modules/transport/protlib/connectionmap.cpp \
+#  communication/modules/transport/protlib/fqueue.cpp \
+#  communication/modules/transport/protlib/threads.cpp \
+#  communication/modules/transport/protlib/messages.cpp \
+#  communication/modules/transport/protlib/queuemanager.cpp \
+#  communication/modules/transport/protlib/network_message.cpp \
+#  communication/modules/transport/protlib/configuration.cpp \
+#  communication/modules/transport/protlib/tp_over_uds.cpp \
+#  communication/modules/transport/protlib/tp_over_udp.cpp \
+#  communication/modules/transport/protlib/tp_over_tls_tcp.cpp \
+#  communication/modules/transport/protlib/fastqueue.c \
+#  communication/modules/transport/protlib/eclock_gettime.c \
+#  communication/modules/transport/protlib/testqueue.c
+
+#nobase_libariba_la_HEADERS += \
+#  communication/modules/transport/protlib/tp_over_uds.h \
+#  communication/modules/transport/protlib/threadsafe_db.h \
+#  communication/modules/transport/protlib/configuration.h \
+#  communication/modules/transport/protlib/ie.h \
+#  communication/modules/transport/protlib/llhashers.h \
+#  communication/modules/transport/protlib/fqueue.h \
+#  communication/modules/transport/protlib/assocdata_uds.h \
+#  communication/modules/transport/protlib/address.h \
+#  communication/modules/transport/protlib/logfile.h \
+#  communication/modules/transport/protlib/timer.h \
+#  communication/modules/transport/protlib/queuemanager.h \
+#  communication/modules/transport/protlib/messages.h \
+#  communication/modules/transport/protlib/assocdata.h \
+#  communication/modules/transport/protlib/protlib_types.h \
+#  communication/modules/transport/protlib/tp_over_tcp.h \
+#  communication/modules/transport/protlib/tp.h \
+#  communication/modules/transport/protlib/threads.h \
+#  communication/modules/transport/protlib/connectionmap.h \
+#  communication/modules/transport/protlib/timer_module.h \
+#  communication/modules/transport/protlib/fastqueue.h \
+#  communication/modules/transport/protlib/tperror.h \
+#  communication/modules/transport/protlib/tp_over_tls_tcp.h \
+#  communication/modules/transport/protlib/network_message.h \
+#  communication/modules/transport/protlib/tp_over_udp.h \
+#  communication/modules/transport/protlib/setuid.h \
+#  communication/modules/transport/protlib/cleanuphandler.h \
+#  communication/modules/transport/protlib/connectionmap_uds.h
 endif
 
 #------------> communication :: modules :: transport :: tcp
 
-if OMNET
-else
-libariba_la_SOURCES += \
-  communication/modules/transport/tcp/TCPTransport.cpp \
-  communication/modules/transport/tcp/TCPTransportLocator.cpp
-
-nobase_libariba_la_HEADERS += \
-  communication/modules/transport/tcp/TCPTransport.h \
-  communication/modules/transport/tcp/TCPTransportLocator.h
-endif
+#if OMNET
+#else
+#libariba_la_SOURCES += \
+#  communication/modules/transport/tcp/TCPTransport.cpp \
+#  communication/modules/transport/tcp/TCPTransportLocator.cpp
+
+#nobase_libariba_la_HEADERS += \
+#  communication/modules/transport/tcp/TCPTransport.h \
+#  communication/modules/transport/tcp/TCPTransportLocator.h
+#endif
 
 #------------> communication :: networkinfo
@@ -379,4 +380,93 @@
 nobase_libariba_la_HEADERS += \
   utility/measurement/PathloadMeasurement.h
+
+#------------> utility :: addressing
+
+libariba_la_SOURCES += \
+  utility/addressing/ip_address.cpp \
+  utility/addressing/tcpip_endpoint.cpp \
+  utility/addressing/rfcomm_endpoint.cpp \
+  utility/addressing/mac_address.cpp \
+  utility/addressing/port_address.cpp 
+
+nobase_libariba_la_HEADERS += \
+  utility/addressing/ip_address.hpp \
+  utility/addressing/test_addressing.hpp \
+  utility/addressing/tcpip_endpoint.hpp \
+  utility/addressing/endpoint_set.hpp \
+  utility/addressing/addressing.hpp \
+  utility/addressing/detail/compare_to_operators.hpp \
+  utility/addressing/detail/address_convenience.hpp \
+  utility/addressing/rfcomm_endpoint.hpp \
+  utility/addressing/mac_address.hpp \
+  utility/addressing/port_address.hpp \
+  utility/addressing/facades/to_string_v.hpp \
+  utility/addressing/facades/address_v.hpp \
+  utility/addressing/facades/vfacade.hpp \
+  utility/addressing/facades/comparable_v.hpp \
+  utility/addressing/facades/to_bytes_v.hpp
+
+#------------> utility :: transport
+
+libariba_la_SOURCES += \
+  utility/transport/tcpip/tcpip.cpp \
+  utility/transport/tcpip/protlib/timer_module.cpp \
+  utility/transport/tcpip/protlib/setuid.cpp \
+  utility/transport/tcpip/protlib/queuemanager.cpp \
+  utility/transport/tcpip/protlib/messages.cpp \
+  utility/transport/tcpip/protlib/fqueue.cpp \
+  utility/transport/tcpip/protlib/fastqueue.c \
+  utility/transport/tcpip/protlib/eclock_gettime.c \
+  utility/transport/tcpip/protlib/tp_over_udp.cpp \
+  utility/transport/tcpip/protlib/connectionmap_uds.cpp \
+  utility/transport/tcpip/protlib/network_message.cpp \
+  utility/transport/tcpip/protlib/threadsafe_db.cpp \
+  utility/transport/tcpip/protlib/timer.cpp \
+  utility/transport/tcpip/protlib/address.cpp \
+  utility/transport/tcpip/protlib/connectionmap.cpp \
+  utility/transport/tcpip/protlib/tp.cpp \
+  utility/transport/tcpip/protlib/tp_over_tcp.cpp \
+  utility/transport/tcpip/protlib/configuration.cpp \
+  utility/transport/tcpip/protlib/ie.cpp \
+  utility/transport/tcpip/protlib/threads.cpp \
+  utility/transport/tcpip/protlib/logfile.cpp \
+  utility/transport/transport_peer.cpp \
+  utility/transport/rfcomm/rfcomm.cpp \
+  utility/transport/asio/asio_io_service.cpp 
+
+nobase_libariba_la_HEADERS += \
+  utility/transport/test_transport.hpp \
+  utility/transport/tcpip/tcpip.hpp \
+  utility/transport/transport_peer.hpp \
+  utility/transport/transport_protocol.hpp \
+  utility/transport/rfcomm/rfcomm.hpp \
+  utility/transport/transport.hpp \
+  utility/transport/asio/bluetooth_endpoint.hpp \
+  utility/transport/asio/rfcomm.hpp \
+  utility/transport/transport_listener.hpp \
+  utility/transport/tcpip/protlib/threadsafe_db.h \
+  utility/transport/tcpip/protlib/configuration.h \
+  utility/transport/tcpip/protlib/ie.h \
+  utility/transport/tcpip/protlib/llhashers.h \
+  utility/transport/tcpip/protlib/fqueue.h \
+  utility/transport/tcpip/protlib/assocdata_uds.h \
+  utility/transport/tcpip/protlib/address.h \
+  utility/transport/tcpip/protlib/logfile.h \
+  utility/transport/tcpip/protlib/timer.h \
+  utility/transport/tcpip/protlib/queuemanager.h \
+  utility/transport/tcpip/protlib/messages.h \
+  utility/transport/tcpip/protlib/assocdata.h \
+  utility/transport/tcpip/protlib/protlib_types.h \
+  utility/transport/tcpip/protlib/tp_over_tcp.h \
+  utility/transport/tcpip/protlib/tp.h \
+  utility/transport/tcpip/protlib/threads.h \
+  utility/transport/tcpip/protlib/connectionmap.h \
+  utility/transport/tcpip/protlib/timer_module.h \
+  utility/transport/tcpip/protlib/fastqueue.h \
+  utility/transport/tcpip/protlib/tperror.h \
+  utility/transport/tcpip/protlib/network_message.h \
+  utility/transport/tcpip/protlib/setuid.h \
+  utility/transport/tcpip/protlib/cleanuphandler.h \
+  utility/transport/tcpip/protlib/connectionmap_uds.h
 
 #------------> utility :: messages
